# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/jcommon/1.0.12-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define	section		free

Name:			jcommon
Version:		1.0.12
Release:		2%{?dist}
Epoch:			0
Summary:		Common library
License:		LGPLv2+
URL:			http://www.jfree.org/jcommon/index.html
#Source from http://www.jfree.org/jcommon/download/
Source0:		%{name}-%{version}.tar.gz
Source1:		%{name}-component-info.xml
Group:			Development/Libraries/Java
BuildRequires:		ant
BuildRequires:		junit
BuildRequires:		jpackage-utils >= 0:1.5
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Collection of classes used by Object Refinery Projects,
for example jfreechart

%if %{with_repolib}
%package repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	         Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package test
Summary:        Test tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit

%description test
All test tasks for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" | xargs %{__rm}

%if %{with_repolib}
tag=`echo %{version}-brew`
sed -i "s/@VERSION@/$tag/g" %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}
%endif

%build
export CLASSPATH=%(build-classpath junit)
export OPT_JAR_LIST=:
ant -f ant/build.xml -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. compile compile-junit-tests javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}-%{version}-junit.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp -p $RPM_BUILD_ROOT%{_javadir}/jcommon.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}-junit.jar
%{_javadir}/%{name}-junit.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Fri May 30 2008 David Walluck <dwalluck@redhat.com> 0:1.0.12-2.jpp5
- remove javadoc scriptlets
- fix %%doc
- fix License

* Fri Jan 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:1.0.12-1jpp.ep1.2
- Fixed typo in component-info.xml

* Wed Jan 16 2008 Clive Saldanha <csaldanh@redhat.com> - 0:1.0.12-1jpp.ep1.1
- Upgrade to 1.0.12(for jfreechart-1.0.9)

* Thu Jul 12 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.9.7-1jpp.ep1.1
- Rebuild

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:0.9.7-1jpp.el4ep1.1
- Add repolib support

* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> - 0:0.9.7-1jpp_1rh
- First Red Hat build

* Thu Dec 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9.7-1jpp
- Upgrade to 0.9.7 (for jfreechart-0.9.20)

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.9.1-2jpp
- Rebuild with ant-1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:0.9.1-1jpp
- 0.9.1
- Add epcoh

* Mon Jul 07 2003 Henri Gomez <hgomez@users.sourceforge.net> 0:8.3-1jpp
- 0.8.3

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:8.1-1jpp
- 0.8.1
- update for JPackage 1.5

* Fri Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.7.2-2jpp
- update spec to respect JPP 1.5 policy

* Tue Mar 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.7.2-1jpp
- 0.7.2
- use the provided build.xml (with some patchs on it)

* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.7.1-1jpp
- Initial release
